providers = ['replicate', 'mistral', 'huggingface', 'openai', 'openrouter']

voice_samples = {'michael_voice': 'https://replicate.delivery/mgxm/671f3086-382f-4850-be82-db853e5f05a8/nixon.mp3', 'jose_voice': 'https://replicate.delivery/pbxt/Jt79w0xsT64R1JsiJ0LQRL8UcWspg5J4RFrU6YwEKpOT1ukS/male.wav', 'anaya_voice': 'https://replicate.delivery/pbxt/Kh3PJuzs2xNgaaNOU6fD3jTz0Xx2dE1zpdXpT2k19fzsB8qE/84_121550_000074_000000.wav', 'tanya_voice': 'https://replicate.delivery/pbxt/JXAkGteYRvJbjwcxA2btRpsd8hfEDuS7slrEgZoinxOUzU9q/female.wav', 'kale_voice': 'https://replicate.delivery/pbxt/K30ke0FQUcGCa4gQdyhEPaEeGvEwDZmEK3SMtXaoujJSMlSE/reference_1.wav', 'doe_voice': 'https://resources.us-ord-1.linodeobjects.com/puppy%20asmr%202-001.wav'}

model = {'I-8b': 'meta/meta-llama-3-8b-instruct', 'I-70b': 'meta/meta-llama-3-70b-instruct', '405b-base': 'meta-llama/llama-3.1-405b', 'I-405b': 'meta/meta-llama-3.1-405b-instruct', 'flux-schnell': 'black-forest-labs/flux-schnell', 'xtts-v2': 'lucataco/xtts-v2:684bc3855b37866c0c65add2ff39c78f3dea3f4ff103a436465326e0f438d55e', 'gpt-4o-or': 'openai/gpt-4o', 'gpt-4o-mini-or': 'openai/gpt-4o-mini', 'gpt-4-turbo-or': 'openai/gpt-4-turbo', 'gpt-4-or': 'openai/gpt-4', 'gpt-3.5-turbo-or': 'openai/gpt-3.5-turbo', 'llava-13b': 'yorickvp/llava-13b', 'flux-dev-lora': 'lucataco/flux-dev-lora', 'gemini-pro-exp': 'google/gemini-pro-1.5-exp', 'gemini-flash-exp': 'google/gemini-flash-8b-1.5-exp', 'gemini-pro': 'google/gemini-pro-1.5', 'gemini-flash': 'google/gemini-flash-8b-1.5', 'gpt-4o-mini': 'gpt-4o-mini', 'gpt-4o': 'gpt-4o', 'gpt-4-turbo': 'gpt-4-turbo', 'gpt-4': 'gpt-4', 'gpt-3.5-turbo': 'gpt-3.5-turbo', 'animate-diff': 'lucataco/animate-diff:beecf59c4aee8d81bf04f0381033dfa10dc16e845b4ae00d281e2fa377e48a9f', 'dolphin': 'cognitivecomputations/dolphin-llama-3-70b', 'codestral': 'codestral-latest', 'Qwen2-VL 72B Instruct': 'qwen/qwen-2-vl-72b-instruct', 'Lumimaid v0.2 8B': 'neversleep/llama-3.1-lumimaid-8b', 'OpenAI: o1-mini (2024-09-12)': 'openai/o1-mini-2024-09-12', 'OpenAI: o1-mini': 'openai/o1-mini', 'OpenAI: o1-preview (2024-09-12)': 'openai/o1-preview-2024-09-12', 'OpenAI: o1-preview': 'openai/o1-preview', 'Mistral: Pixtral 12B (free)': 'mistralai/pixtral-12b:free', 'Mistral: Pixtral 12B': 'mistralai/pixtral-12b', 'Reflection 70B (free)': 'mattshumer/reflection-70b:free', 'Reflection 70B': 'mattshumer/reflection-70b', 'Cohere: Command R (03-2024)': 'cohere/command-r-03-2024', 'Cohere: Command R+ (04-2024)': 'cohere/command-r-plus-04-2024', 'Cohere: Command R+ (08-2024)': 'cohere/command-r-plus-08-2024', 'Cohere: Command R (08-2024)': 'cohere/command-r-08-2024', 'Qwen2-VL 7B Instruct (free)': 'qwen/qwen-2-vl-7b-instruct:free', 'Qwen2-VL 7B Instruct': 'qwen/qwen-2-vl-7b-instruct', 'Google: Gemini Flash 8B 1.5 Experimental': 'google/gemini-flash-8b-1.5-exp', 'Google: Gemini Flash 1.5 Experimental': 'google/gemini-flash-1.5-exp', 'Llama 3.1 Euryale 70B v2.2': 'sao10k/l3.1-euryale-70b', 'AI21: Jamba 1.5 Large': 'ai21/jamba-1-5-large', 'AI21: Jamba 1.5 Mini': 'ai21/jamba-1-5-mini', 'Phi-3.5 Mini 128K Instruct': 'microsoft/phi-3.5-mini-128k-instruct', 'Nous: Hermes 3 70B Instruct': 'nousresearch/hermes-3-llama-3.1-70b', 'Nous: Hermes 3 405B Instruct': 'nousresearch/hermes-3-llama-3.1-405b', 'Nous: Hermes 3 405B Instruct (free)': 'nousresearch/hermes-3-llama-3.1-405b:free', 'Nous: Hermes 3 405B Instruct (extended)': 'nousresearch/hermes-3-llama-3.1-405b:extended', 'Perplexity: Llama 3.1 Sonar 405B Online': 'perplexity/llama-3.1-sonar-huge-128k-online', 'OpenAI: ChatGPT-4o': 'openai/chatgpt-4o-latest', 'Llama 3 8B Lunaris': 'sao10k/l3-lunaris-8b', 'Mistral Nemo 12B Starcannon': 'aetherwiing/mn-starcannon-12b', 'OpenAI: GPT-4o (2024-08-06)': 'openai/gpt-4o-2024-08-06', 'Meta: Llama 3.1 405B (base)': 'meta-llama/llama-3.1-405b', 'Mistral Nemo 12B Celeste': 'nothingiisreal/mn-celeste-12b', 'Google: Gemini Pro 1.5 Experimental': 'google/gemini-pro-1.5-exp', 'Perplexity: Llama 3.1 Sonar 70B Online': 'perplexity/llama-3.1-sonar-large-128k-online', 'Perplexity: Llama 3.1 Sonar 70B': 'perplexity/llama-3.1-sonar-large-128k-chat', 'Perplexity: Llama 3.1 Sonar 8B Online': 'perplexity/llama-3.1-sonar-small-128k-online', 'Perplexity: Llama 3.1 Sonar 8B': 'perplexity/llama-3.1-sonar-small-128k-chat', 'Meta: Llama 3.1 70B Instruct': 'meta-llama/llama-3.1-70b-instruct', 'Meta: Llama 3.1 8B Instruct (free)': 'meta-llama/llama-3.1-8b-instruct:free', 'Meta: Llama 3.1 8B Instruct': 'meta-llama/llama-3.1-8b-instruct', 'Meta: Llama 3.1 405B Instruct': 'meta-llama/llama-3.1-405b-instruct', 'Mistral: Codestral Mamba': 'mistralai/codestral-mamba', 'Mistral: Mistral Nemo': 'mistralai/mistral-nemo', 'OpenAI: GPT-4o-mini (2024-07-18)': 'openai/gpt-4o-mini-2024-07-18', 'OpenAI: GPT-4o-mini': 'openai/gpt-4o-mini', 'Qwen 2 7B Instruct (free)': 'qwen/qwen-2-7b-instruct:free', 'Qwen 2 7B Instruct': 'qwen/qwen-2-7b-instruct', 'Google: Gemma 2 27B': 'google/gemma-2-27b-it', 'Magnum 72B': 'alpindale/magnum-72b', 'Nous: Hermes 2 Theta 8B': 'nousresearch/hermes-2-theta-llama-3-8b', 'Google: Gemma 2 9B (free)': 'google/gemma-2-9b-it:free', 'Google: Gemma 2 9B': 'google/gemma-2-9b-it', 'AI21: Jamba Instruct': 'ai21/jamba-instruct', 'Anthropic: Claude 3.5 Sonnet': 'anthropic/claude-3.5-sonnet', 'Anthropic: Claude 3.5 Sonnet (self-moderated)': 'anthropic/claude-3.5-sonnet:beta', 'Llama 3 Euryale 70B v2.1': 'sao10k/l3-euryale-70b', 'Phi-3 Medium 4K Instruct': 'microsoft/phi-3-medium-4k-instruct', 'Dolphin 2.9.2 Mixtral 8x22B': 'cognitivecomputations/dolphin-mixtral-8x22b', 'Qwen 2 72B Instruct': 'qwen/qwen-2-72b-instruct', 'NousResearch: Hermes 2 Pro - Llama-3 8B': 'nousresearch/hermes-2-pro-llama-3-8b', 'Mistral: Mistral 7B Instruct v0.3': 'mistralai/mistral-7b-instruct-v0.3', 'Mistral: Mistral 7B Instruct (free)': 'mistralai/mistral-7b-instruct:free', 'Mistral: Mistral 7B Instruct': 'mistralai/mistral-7b-instruct', 'Mistral: Mistral 7B Instruct (nitro)': 'mistralai/mistral-7b-instruct:nitro', 'Phi-3 Mini 128K Instruct (free)': 'microsoft/phi-3-mini-128k-instruct:free', 'Phi-3 Mini 128K Instruct': 'microsoft/phi-3-mini-128k-instruct', 'Phi-3 Medium 128K Instruct (free)': 'microsoft/phi-3-medium-128k-instruct:free', 'Phi-3 Medium 128K Instruct': 'microsoft/phi-3-medium-128k-instruct', 'Llama 3 Lumimaid 70B': 'neversleep/llama-3-lumimaid-70b', 'Google: Gemini Flash 1.5': 'google/gemini-flash-1.5', 'DeepSeek V2.5': 'deepseek/deepseek-chat', 'Perplexity: Llama3 Sonar 70B Online': 'perplexity/llama-3-sonar-large-32k-online', 'Perplexity: Llama3 Sonar 70B': 'perplexity/llama-3-sonar-large-32k-chat', 'Perplexity: Llama3 Sonar 8B Online': 'perplexity/llama-3-sonar-small-32k-online', 'Perplexity: Llama3 Sonar 8B': 'perplexity/llama-3-sonar-small-32k-chat', 'Meta: LlamaGuard 2 8B': 'meta-llama/llama-guard-2-8b', 'OpenAI: GPT-4o (2024-05-13)': 'openai/gpt-4o-2024-05-13', 'OpenAI: GPT-4o': 'openai/gpt-4o', 'OpenAI: GPT-4o (extended)': 'openai/gpt-4o:extended', 'Qwen 1.5 72B Chat': 'qwen/qwen-72b-chat', 'Qwen 1.5 110B Chat': 'qwen/qwen-110b-chat', 'Llama 3 Lumimaid 8B': 'neversleep/llama-3-lumimaid-8b', 'Llama 3 Lumimaid 8B (extended)': 'neversleep/llama-3-lumimaid-8b:extended', 'Fimbulvetr 11B v2': 'sao10k/fimbulvetr-11b-v2', 'Meta: Llama 3 70B Instruct': 'meta-llama/llama-3-70b-instruct', 'Meta: Llama 3 70B Instruct (nitro)': 'meta-llama/llama-3-70b-instruct:nitro', 'Meta: Llama 3 8B Instruct (free)': 'meta-llama/llama-3-8b-instruct:free', 'Meta: Llama 3 8B Instruct': 'meta-llama/llama-3-8b-instruct', 'Meta: Llama 3 8B Instruct (nitro)': 'meta-llama/llama-3-8b-instruct:nitro', 'Meta: Llama 3 8B Instruct (extended)': 'meta-llama/llama-3-8b-instruct:extended', 'Mistral: Mixtral 8x22B Instruct': 'mistralai/mixtral-8x22b-instruct', 'WizardLM-2 7B': 'microsoft/wizardlm-2-7b', 'WizardLM-2 8x22B': 'microsoft/wizardlm-2-8x22b', 'Google: Gemini Pro 1.5': 'google/gemini-pro-1.5', 'OpenAI: GPT-4 Turbo': 'openai/gpt-4-turbo', 'Cohere: Command R+': 'cohere/command-r-plus', 'Databricks: DBRX 132B Instruct': 'databricks/dbrx-instruct', 'Midnight Rose 70B': 'sophosympatheia/midnight-rose-70b', 'Cohere: Command R': 'cohere/command-r', 'Cohere: Command': 'cohere/command', 'Anthropic: Claude 3 Haiku': 'anthropic/claude-3-haiku', 'Anthropic: Claude 3 Haiku (self-moderated)': 'anthropic/claude-3-haiku:beta', 'Anthropic: Claude 3 Sonnet': 'anthropic/claude-3-sonnet', 'Anthropic: Claude 3 Sonnet (self-moderated)': 'anthropic/claude-3-sonnet:beta', 'Anthropic: Claude 3 Opus': 'anthropic/claude-3-opus', 'Anthropic: Claude 3 Opus (self-moderated)': 'anthropic/claude-3-opus:beta', 'Mistral Large': 'mistralai/mistral-large', 'OpenAI: GPT-4 Turbo Preview': 'openai/gpt-4-turbo-preview', 'OpenAI: GPT-3.5 Turbo (older v0613)': 'openai/gpt-3.5-turbo-0613', 'Nous: Hermes 2 Mixtral 8x7B DPO': 'nousresearch/nous-hermes-2-mixtral-8x7b-dpo', 'Mistral Medium': 'mistralai/mistral-medium', 'Mistral Small': 'mistralai/mistral-small', 'Mistral Tiny': 'mistralai/mistral-tiny', 'Chronos Hermes 13B v2': 'austism/chronos-hermes-13b', 'Nous: Hermes 2 Yi 34B': 'nousresearch/nous-hermes-yi-34b', 'Mistral: Mistral 7B Instruct v0.2': 'mistralai/mistral-7b-instruct-v0.2', 'Dolphin 2.6 Mixtral 8x7B': 'cognitivecomputations/dolphin-mixtral-8x7b', 'Google: Gemini Pro Vision 1.0': 'google/gemini-pro-vision', 'Google: Gemini Pro 1.0': 'google/gemini-pro', 'Mixtral 8x7B Instruct': 'mistralai/mixtral-8x7b-instruct', 'Mixtral 8x7B Instruct (nitro)': 'mistralai/mixtral-8x7b-instruct:nitro', 'Mixtral 8x7B (base)': 'mistralai/mixtral-8x7b', 'StripedHyena Nous 7B': 'togethercomputer/stripedhyena-nous-7b', 'MythoMist 7B (free)': 'gryphe/mythomist-7b:free', 'MythoMist 7B': 'gryphe/mythomist-7b', 'OpenChat 3.5 7B (free)': 'openchat/openchat-7b:free', 'OpenChat 3.5 7B': 'openchat/openchat-7b', 'Noromaid 20B': 'neversleep/noromaid-20b', 'Anthropic: Claude Instant v1.1': 'anthropic/claude-instant-1.1', 'Anthropic: Claude v2.1': 'anthropic/claude-2.1', 'Anthropic: Claude v2.1 (self-moderated)': 'anthropic/claude-2.1:beta', 'Anthropic: Claude v2': 'anthropic/claude-2', 'Anthropic: Claude v2 (self-moderated)': 'anthropic/claude-2:beta', 'OpenHermes 2.5 Mistral 7B': 'teknium/openhermes-2.5-mistral-7b', 'OpenAI: GPT-4 Vision': 'openai/gpt-4-vision-preview', 'lzlv 70B': 'lizpreciatior/lzlv-70b-fp16-hf', 'Goliath 120B': 'alpindale/goliath-120b', 'Toppy M 7B (free)': 'undi95/toppy-m-7b:free', 'Toppy M 7B': 'undi95/toppy-m-7b', 'Toppy M 7B (nitro)': 'undi95/toppy-m-7b:nitro', 'Auto (best for prompt)': 'openrouter/auto', 'OpenAI: GPT-4 Turbo (older v1106)': 'openai/gpt-4-1106-preview', 'OpenAI: GPT-3.5 Turbo 16k (older v1106)': 'openai/gpt-3.5-turbo-1106', 'Google: PaLM 2 Code Chat 32k': 'google/palm-2-codechat-bison-32k', 'Google: PaLM 2 Chat 32k': 'google/palm-2-chat-bison-32k', 'Airoboros 70B': 'jondurbin/airoboros-l2-70b', 'Xwin 70B': 'xwin-lm/xwin-lm-70b', 'Mistral: Mistral 7B Instruct v0.1': 'mistralai/mistral-7b-instruct-v0.1', 'OpenAI: GPT-3.5 Turbo Instruct': 'openai/gpt-3.5-turbo-instruct', 'Pygmalion: Mythalion 13B': 'pygmalionai/mythalion-13b', 'OpenAI: GPT-4 32k (older v0314)': 'openai/gpt-4-32k-0314', 'OpenAI: GPT-4 32k': 'openai/gpt-4-32k', 'OpenAI: GPT-3.5 Turbo 16k': 'openai/gpt-3.5-turbo-0125', 'Nous: Hermes 13B': 'nousresearch/nous-hermes-llama2-13b', 'Hugging Face: Zephyr 7B (free)': 'huggingfaceh4/zephyr-7b-beta:free', 'Mancer: Weaver (alpha)': 'mancer/weaver', 'Anthropic: Claude Instant v1.0': 'anthropic/claude-instant-1.0', 'Anthropic: Claude v1.2': 'anthropic/claude-1.2', 'Anthropic: Claude v1': 'anthropic/claude-1', 'Anthropic: Claude Instant v1': 'anthropic/claude-instant-1', 'Anthropic: Claude Instant v1 (self-moderated)': 'anthropic/claude-instant-1:beta', 'Anthropic: Claude v2.0': 'anthropic/claude-2.0', 'Anthropic: Claude v2.0 (self-moderated)': 'anthropic/claude-2.0:beta', 'ReMM SLERP 13B': 'undi95/remm-slerp-l2-13b', 'ReMM SLERP 13B (extended)': 'undi95/remm-slerp-l2-13b:extended', 'Google: PaLM 2 Code Chat': 'google/palm-2-codechat-bison', 'Google: PaLM 2 Chat': 'google/palm-2-chat-bison', 'MythoMax 13B': 'gryphe/mythomax-l2-13b', 'MythoMax 13B (nitro)': 'gryphe/mythomax-l2-13b:nitro', 'MythoMax 13B (extended)': 'gryphe/mythomax-l2-13b:extended', 'Meta: Llama v2 13B Chat': 'meta-llama/llama-2-13b-chat', 'OpenAI: GPT-4 (older v0314)': 'openai/gpt-4-0314', 'OpenAI: GPT-4': 'openai/gpt-4', 'OpenAI: GPT-3.5 Turbo (older v0301)': 'openai/gpt-3.5-turbo-0301', 'OpenAI: GPT-3.5 Turbo': 'openai/gpt-3.5-turbo'}

model_type = {'I-8b': 'llm', 'I-70b': 'llm', '405b-base': 'llm', 'I-405b': 'llm', 'flux-schnell': 'image', 'xtts-v2': 'tts', 'gpt-4o-or': 'llm', 'gpt-4o-mini-or': 'llm', 'gpt-4-turbo-or': 'llm', 'gpt-4-or': 'llm', 'gpt-3.5-turbo-or': 'llm', 'llava-13b': 'image', 'flux-dev-lora': 'image', 'gemini-pro-exp': 'llm', 'gemini-flash-exp': 'llm', 'gemini-pro': 'llm', 'gemini-flash': 'llm', 'gpt-4o-mini': 'llm', 'gpt-4o': 'llm', 'gpt-4-turbo': 'llm', 'gpt-4': 'llm', 'gpt-3.5-turbo': 'llm', 'animate-diff': 'video', 'dolphin': 'llm', 'codestral': 'llm', 'Qwen2-VL 72B Instruct': 'llm', 'Lumimaid v0.2 8B': 'llm', 'OpenAI: o1-mini (2024-09-12)': 'llm', 'OpenAI: o1-mini': 'llm', 'OpenAI: o1-preview (2024-09-12)': 'llm', 'OpenAI: o1-preview': 'llm', 'Mistral: Pixtral 12B (free)': 'llm', 'Mistral: Pixtral 12B': 'llm', 'Reflection 70B (free)': 'llm', 'Reflection 70B': 'llm', 'Cohere: Command R (03-2024)': 'llm', 'Cohere: Command R+ (04-2024)': 'llm', 'Cohere: Command R+ (08-2024)': 'llm', 'Cohere: Command R (08-2024)': 'llm', 'Qwen2-VL 7B Instruct (free)': 'llm', 'Qwen2-VL 7B Instruct': 'llm', 'Google: Gemini Flash 8B 1.5 Experimental': 'llm', 'Google: Gemini Flash 1.5 Experimental': 'llm', 'Llama 3.1 Euryale 70B v2.2': 'llm', 'AI21: Jamba 1.5 Large': 'llm', 'AI21: Jamba 1.5 Mini': 'llm', 'Phi-3.5 Mini 128K Instruct': 'llm', 'Nous: Hermes 3 70B Instruct': 'llm', 'Nous: Hermes 3 405B Instruct': 'llm', 'Nous: Hermes 3 405B Instruct (free)': 'llm', 'Nous: Hermes 3 405B Instruct (extended)': 'llm', 'Perplexity: Llama 3.1 Sonar 405B Online': 'llm', 'OpenAI: ChatGPT-4o': 'llm', 'Llama 3 8B Lunaris': 'llm', 'Mistral Nemo 12B Starcannon': 'llm', 'OpenAI: GPT-4o (2024-08-06)': 'llm', 'Meta: Llama 3.1 405B (base)': 'llm', 'Mistral Nemo 12B Celeste': 'llm', 'Google: Gemini Pro 1.5 Experimental': 'llm', 'Perplexity: Llama 3.1 Sonar 70B Online': 'llm', 'Perplexity: Llama 3.1 Sonar 70B': 'llm', 'Perplexity: Llama 3.1 Sonar 8B Online': 'llm', 'Perplexity: Llama 3.1 Sonar 8B': 'llm', 'Meta: Llama 3.1 70B Instruct': 'llm', 'Meta: Llama 3.1 8B Instruct (free)': 'llm', 'Meta: Llama 3.1 8B Instruct': 'llm', 'Meta: Llama 3.1 405B Instruct': 'llm', 'Mistral: Codestral Mamba': 'llm', 'Mistral: Mistral Nemo': 'llm', 'OpenAI: GPT-4o-mini (2024-07-18)': 'llm', 'OpenAI: GPT-4o-mini': 'llm', 'Qwen 2 7B Instruct (free)': 'llm', 'Qwen 2 7B Instruct': 'llm', 'Google: Gemma 2 27B': 'llm', 'Magnum 72B': 'llm', 'Nous: Hermes 2 Theta 8B': 'llm', 'Google: Gemma 2 9B (free)': 'llm', 'Google: Gemma 2 9B': 'llm', 'AI21: Jamba Instruct': 'llm', 'Anthropic: Claude 3.5 Sonnet': 'llm', 'Anthropic: Claude 3.5 Sonnet (self-moderated)': 'llm', 'Llama 3 Euryale 70B v2.1': 'llm', 'Phi-3 Medium 4K Instruct': 'llm', 'Dolphin 2.9.2 Mixtral 8x22B': 'llm', 'Qwen 2 72B Instruct': 'llm', 'NousResearch: Hermes 2 Pro - Llama-3 8B': 'llm', 'Mistral: Mistral 7B Instruct v0.3': 'llm', 'Mistral: Mistral 7B Instruct (free)': 'llm', 'Mistral: Mistral 7B Instruct': 'llm', 'Mistral: Mistral 7B Instruct (nitro)': 'llm', 'Phi-3 Mini 128K Instruct (free)': 'llm', 'Phi-3 Mini 128K Instruct': 'llm', 'Phi-3 Medium 128K Instruct (free)': 'llm', 'Phi-3 Medium 128K Instruct': 'llm', 'Llama 3 Lumimaid 70B': 'llm', 'Google: Gemini Flash 1.5': 'llm', 'DeepSeek V2.5': 'llm', 'Perplexity: Llama3 Sonar 70B Online': 'llm', 'Perplexity: Llama3 Sonar 70B': 'llm', 'Perplexity: Llama3 Sonar 8B Online': 'llm', 'Perplexity: Llama3 Sonar 8B': 'llm', 'Meta: LlamaGuard 2 8B': 'llm', 'OpenAI: GPT-4o (2024-05-13)': 'llm', 'OpenAI: GPT-4o': 'llm', 'OpenAI: GPT-4o (extended)': 'llm', 'Qwen 1.5 72B Chat': 'llm', 'Qwen 1.5 110B Chat': 'llm', 'Llama 3 Lumimaid 8B': 'llm', 'Llama 3 Lumimaid 8B (extended)': 'llm', 'Fimbulvetr 11B v2': 'llm', 'Meta: Llama 3 70B Instruct': 'llm', 'Meta: Llama 3 70B Instruct (nitro)': 'llm', 'Meta: Llama 3 8B Instruct (free)': 'llm', 'Meta: Llama 3 8B Instruct': 'llm', 'Meta: Llama 3 8B Instruct (nitro)': 'llm', 'Meta: Llama 3 8B Instruct (extended)': 'llm', 'Mistral: Mixtral 8x22B Instruct': 'llm', 'WizardLM-2 7B': 'llm', 'WizardLM-2 8x22B': 'llm', 'Google: Gemini Pro 1.5': 'llm', 'OpenAI: GPT-4 Turbo': 'llm', 'Cohere: Command R+': 'llm', 'Databricks: DBRX 132B Instruct': 'llm', 'Midnight Rose 70B': 'llm', 'Cohere: Command R': 'llm', 'Cohere: Command': 'llm', 'Anthropic: Claude 3 Haiku': 'llm', 'Anthropic: Claude 3 Haiku (self-moderated)': 'llm', 'Anthropic: Claude 3 Sonnet': 'llm', 'Anthropic: Claude 3 Sonnet (self-moderated)': 'llm', 'Anthropic: Claude 3 Opus': 'llm', 'Anthropic: Claude 3 Opus (self-moderated)': 'llm', 'Mistral Large': 'llm', 'OpenAI: GPT-4 Turbo Preview': 'llm', 'OpenAI: GPT-3.5 Turbo (older v0613)': 'llm', 'Nous: Hermes 2 Mixtral 8x7B DPO': 'llm', 'Mistral Medium': 'llm', 'Mistral Small': 'llm', 'Mistral Tiny': 'llm', 'Chronos Hermes 13B v2': 'llm', 'Nous: Hermes 2 Yi 34B': 'llm', 'Mistral: Mistral 7B Instruct v0.2': 'llm', 'Dolphin 2.6 Mixtral 8x7B': 'llm', 'Google: Gemini Pro Vision 1.0': 'llm', 'Google: Gemini Pro 1.0': 'llm', 'Mixtral 8x7B Instruct': 'llm', 'Mixtral 8x7B Instruct (nitro)': 'llm', 'Mixtral 8x7B (base)': 'llm', 'StripedHyena Nous 7B': 'llm', 'MythoMist 7B (free)': 'llm', 'MythoMist 7B': 'llm', 'OpenChat 3.5 7B (free)': 'llm', 'OpenChat 3.5 7B': 'llm', 'Noromaid 20B': 'llm', 'Anthropic: Claude Instant v1.1': 'llm', 'Anthropic: Claude v2.1': 'llm', 'Anthropic: Claude v2.1 (self-moderated)': 'llm', 'Anthropic: Claude v2': 'llm', 'Anthropic: Claude v2 (self-moderated)': 'llm', 'OpenHermes 2.5 Mistral 7B': 'llm', 'OpenAI: GPT-4 Vision': 'llm', 'lzlv 70B': 'llm', 'Goliath 120B': 'llm', 'Toppy M 7B (free)': 'llm', 'Toppy M 7B': 'llm', 'Toppy M 7B (nitro)': 'llm', 'Auto (best for prompt)': 'llm', 'OpenAI: GPT-4 Turbo (older v1106)': 'llm', 'OpenAI: GPT-3.5 Turbo 16k (older v1106)': 'llm', 'Google: PaLM 2 Code Chat 32k': 'llm', 'Google: PaLM 2 Chat 32k': 'llm', 'Airoboros 70B': 'llm', 'Xwin 70B': 'llm', 'Mistral: Mistral 7B Instruct v0.1': 'llm', 'OpenAI: GPT-3.5 Turbo Instruct': 'llm', 'Pygmalion: Mythalion 13B': 'llm', 'OpenAI: GPT-4 32k (older v0314)': 'llm', 'OpenAI: GPT-4 32k': 'llm', 'OpenAI: GPT-3.5 Turbo 16k': 'llm', 'Nous: Hermes 13B': 'llm', 'Hugging Face: Zephyr 7B (free)': 'llm', 'Mancer: Weaver (alpha)': 'llm', 'Anthropic: Claude Instant v1.0': 'llm', 'Anthropic: Claude v1.2': 'llm', 'Anthropic: Claude v1': 'llm', 'Anthropic: Claude Instant v1': 'llm', 'Anthropic: Claude Instant v1 (self-moderated)': 'llm', 'Anthropic: Claude v2.0': 'llm', 'Anthropic: Claude v2.0 (self-moderated)': 'llm', 'ReMM SLERP 13B': 'llm', 'ReMM SLERP 13B (extended)': 'llm', 'Google: PaLM 2 Code Chat': 'llm', 'Google: PaLM 2 Chat': 'llm', 'MythoMax 13B': 'llm', 'MythoMax 13B (nitro)': 'llm', 'MythoMax 13B (extended)': 'llm', 'Meta: Llama v2 13B Chat': 'llm', 'OpenAI: GPT-4 (older v0314)': 'llm', 'OpenAI: GPT-4': 'llm', 'OpenAI: GPT-3.5 Turbo (older v0301)': 'llm', 'OpenAI: GPT-3.5 Turbo': 'llm'}

preferred_providers = {'I-8b': 'replicate', 'I-70b': 'replicate', '405b-base': 'openrouter', 'I-405b': 'replicate', 'flux-schnell': 'replicate', 'xtts-v2': 'replicate', 'gpt-4o-or': 'openrouter', 'gpt-4o-mini-or': 'openrouter', 'gpt-4-turbo-or': 'openrouter', 'gpt-4-or': 'openrouter', 'gpt-3.5-turbo-or': 'openrouter', 'llava-13b': 'replicate', 'flux-dev-lora': 'replicate', 'gemini-pro-exp': 'openrouter', 'gemini-flash-exp': 'openrouter', 'gemini-pro': 'openrouter', 'gemini-flash': 'openrouter', 'gpt-4o-mini': 'openai', 'gpt-4o': 'openai', 'gpt-4-turbo': 'openai', 'gpt-4': 'openai', 'gpt-3.5-turbo': 'openai', 'animate-diff': 'replicate', 'dolphin': 'openrouter', 'codestral': 'mistral', 'Qwen2-VL 72B Instruct': 'openrouter', 'Lumimaid v0.2 8B': 'openrouter', 'OpenAI: o1-mini (2024-09-12)': 'openrouter', 'OpenAI: o1-mini': 'openrouter', 'OpenAI: o1-preview (2024-09-12)': 'openrouter', 'OpenAI: o1-preview': 'openrouter', 'Mistral: Pixtral 12B (free)': 'openrouter', 'Mistral: Pixtral 12B': 'openrouter', 'Reflection 70B (free)': 'openrouter', 'Reflection 70B': 'openrouter', 'Cohere: Command R (03-2024)': 'openrouter', 'Cohere: Command R+ (04-2024)': 'openrouter', 'Cohere: Command R+ (08-2024)': 'openrouter', 'Cohere: Command R (08-2024)': 'openrouter', 'Qwen2-VL 7B Instruct (free)': 'openrouter', 'Qwen2-VL 7B Instruct': 'openrouter', 'Google: Gemini Flash 8B 1.5 Experimental': 'openrouter', 'Google: Gemini Flash 1.5 Experimental': 'openrouter', 'Llama 3.1 Euryale 70B v2.2': 'openrouter', 'AI21: Jamba 1.5 Large': 'openrouter', 'AI21: Jamba 1.5 Mini': 'openrouter', 'Phi-3.5 Mini 128K Instruct': 'openrouter', 'Nous: Hermes 3 70B Instruct': 'openrouter', 'Nous: Hermes 3 405B Instruct': 'openrouter', 'Nous: Hermes 3 405B Instruct (free)': 'openrouter', 'Nous: Hermes 3 405B Instruct (extended)': 'openrouter', 'Perplexity: Llama 3.1 Sonar 405B Online': 'openrouter', 'OpenAI: ChatGPT-4o': 'openrouter', 'Llama 3 8B Lunaris': 'openrouter', 'Mistral Nemo 12B Starcannon': 'openrouter', 'OpenAI: GPT-4o (2024-08-06)': 'openrouter', 'Meta: Llama 3.1 405B (base)': 'openrouter', 'Mistral Nemo 12B Celeste': 'openrouter', 'Google: Gemini Pro 1.5 Experimental': 'openrouter', 'Perplexity: Llama 3.1 Sonar 70B Online': 'openrouter', 'Perplexity: Llama 3.1 Sonar 70B': 'openrouter', 'Perplexity: Llama 3.1 Sonar 8B Online': 'openrouter', 'Perplexity: Llama 3.1 Sonar 8B': 'openrouter', 'Meta: Llama 3.1 70B Instruct': 'openrouter', 'Meta: Llama 3.1 8B Instruct (free)': 'openrouter', 'Meta: Llama 3.1 8B Instruct': 'openrouter', 'Meta: Llama 3.1 405B Instruct': 'openrouter', 'Mistral: Codestral Mamba': 'openrouter', 'Mistral: Mistral Nemo': 'openrouter', 'OpenAI: GPT-4o-mini (2024-07-18)': 'openrouter', 'OpenAI: GPT-4o-mini': 'openrouter', 'Qwen 2 7B Instruct (free)': 'openrouter', 'Qwen 2 7B Instruct': 'openrouter', 'Google: Gemma 2 27B': 'openrouter', 'Magnum 72B': 'openrouter', 'Nous: Hermes 2 Theta 8B': 'openrouter', 'Google: Gemma 2 9B (free)': 'openrouter', 'Google: Gemma 2 9B': 'openrouter', 'AI21: Jamba Instruct': 'openrouter', 'Anthropic: Claude 3.5 Sonnet': 'openrouter', 'Anthropic: Claude 3.5 Sonnet (self-moderated)': 'openrouter', 'Llama 3 Euryale 70B v2.1': 'openrouter', 'Phi-3 Medium 4K Instruct': 'openrouter', 'Dolphin 2.9.2 Mixtral 8x22B': 'openrouter', 'Qwen 2 72B Instruct': 'openrouter', 'NousResearch: Hermes 2 Pro - Llama-3 8B': 'openrouter', 'Mistral: Mistral 7B Instruct v0.3': 'openrouter', 'Mistral: Mistral 7B Instruct (free)': 'openrouter', 'Mistral: Mistral 7B Instruct': 'openrouter', 'Mistral: Mistral 7B Instruct (nitro)': 'openrouter', 'Phi-3 Mini 128K Instruct (free)': 'openrouter', 'Phi-3 Mini 128K Instruct': 'openrouter', 'Phi-3 Medium 128K Instruct (free)': 'openrouter', 'Phi-3 Medium 128K Instruct': 'openrouter', 'Llama 3 Lumimaid 70B': 'openrouter', 'Google: Gemini Flash 1.5': 'openrouter', 'DeepSeek V2.5': 'openrouter', 'Perplexity: Llama3 Sonar 70B Online': 'openrouter', 'Perplexity: Llama3 Sonar 70B': 'openrouter', 'Perplexity: Llama3 Sonar 8B Online': 'openrouter', 'Perplexity: Llama3 Sonar 8B': 'openrouter', 'Meta: LlamaGuard 2 8B': 'openrouter', 'OpenAI: GPT-4o (2024-05-13)': 'openrouter', 'OpenAI: GPT-4o': 'openrouter', 'OpenAI: GPT-4o (extended)': 'openrouter', 'Qwen 1.5 72B Chat': 'openrouter', 'Qwen 1.5 110B Chat': 'openrouter', 'Llama 3 Lumimaid 8B': 'openrouter', 'Llama 3 Lumimaid 8B (extended)': 'openrouter', 'Fimbulvetr 11B v2': 'openrouter', 'Meta: Llama 3 70B Instruct': 'openrouter', 'Meta: Llama 3 70B Instruct (nitro)': 'openrouter', 'Meta: Llama 3 8B Instruct (free)': 'openrouter', 'Meta: Llama 3 8B Instruct': 'openrouter', 'Meta: Llama 3 8B Instruct (nitro)': 'openrouter', 'Meta: Llama 3 8B Instruct (extended)': 'openrouter', 'Mistral: Mixtral 8x22B Instruct': 'openrouter', 'WizardLM-2 7B': 'openrouter', 'WizardLM-2 8x22B': 'openrouter', 'Google: Gemini Pro 1.5': 'openrouter', 'OpenAI: GPT-4 Turbo': 'openrouter', 'Cohere: Command R+': 'openrouter', 'Databricks: DBRX 132B Instruct': 'openrouter', 'Midnight Rose 70B': 'openrouter', 'Cohere: Command R': 'openrouter', 'Cohere: Command': 'openrouter', 'Anthropic: Claude 3 Haiku': 'openrouter', 'Anthropic: Claude 3 Haiku (self-moderated)': 'openrouter', 'Anthropic: Claude 3 Sonnet': 'openrouter', 'Anthropic: Claude 3 Sonnet (self-moderated)': 'openrouter', 'Anthropic: Claude 3 Opus': 'openrouter', 'Anthropic: Claude 3 Opus (self-moderated)': 'openrouter', 'Mistral Large': 'openrouter', 'OpenAI: GPT-4 Turbo Preview': 'openrouter', 'OpenAI: GPT-3.5 Turbo (older v0613)': 'openrouter', 'Nous: Hermes 2 Mixtral 8x7B DPO': 'openrouter', 'Mistral Medium': 'openrouter', 'Mistral Small': 'openrouter', 'Mistral Tiny': 'openrouter', 'Chronos Hermes 13B v2': 'openrouter', 'Nous: Hermes 2 Yi 34B': 'openrouter', 'Mistral: Mistral 7B Instruct v0.2': 'openrouter', 'Dolphin 2.6 Mixtral 8x7B': 'openrouter', 'Google: Gemini Pro Vision 1.0': 'openrouter', 'Google: Gemini Pro 1.0': 'openrouter', 'Mixtral 8x7B Instruct': 'openrouter', 'Mixtral 8x7B Instruct (nitro)': 'openrouter', 'Mixtral 8x7B (base)': 'openrouter', 'StripedHyena Nous 7B': 'openrouter', 'MythoMist 7B (free)': 'openrouter', 'MythoMist 7B': 'openrouter', 'OpenChat 3.5 7B (free)': 'openrouter', 'OpenChat 3.5 7B': 'openrouter', 'Noromaid 20B': 'openrouter', 'Anthropic: Claude Instant v1.1': 'openrouter', 'Anthropic: Claude v2.1': 'openrouter', 'Anthropic: Claude v2.1 (self-moderated)': 'openrouter', 'Anthropic: Claude v2': 'openrouter', 'Anthropic: Claude v2 (self-moderated)': 'openrouter', 'OpenHermes 2.5 Mistral 7B': 'openrouter', 'OpenAI: GPT-4 Vision': 'openrouter', 'lzlv 70B': 'openrouter', 'Goliath 120B': 'openrouter', 'Toppy M 7B (free)': 'openrouter', 'Toppy M 7B': 'openrouter', 'Toppy M 7B (nitro)': 'openrouter', 'Auto (best for prompt)': 'openrouter', 'OpenAI: GPT-4 Turbo (older v1106)': 'openrouter', 'OpenAI: GPT-3.5 Turbo 16k (older v1106)': 'openrouter', 'Google: PaLM 2 Code Chat 32k': 'openrouter', 'Google: PaLM 2 Chat 32k': 'openrouter', 'Airoboros 70B': 'openrouter', 'Xwin 70B': 'openrouter', 'Mistral: Mistral 7B Instruct v0.1': 'openrouter', 'OpenAI: GPT-3.5 Turbo Instruct': 'openrouter', 'Pygmalion: Mythalion 13B': 'openrouter', 'OpenAI: GPT-4 32k (older v0314)': 'openrouter', 'OpenAI: GPT-4 32k': 'openrouter', 'OpenAI: GPT-3.5 Turbo 16k': 'openrouter', 'Nous: Hermes 13B': 'openrouter', 'Hugging Face: Zephyr 7B (free)': 'openrouter', 'Mancer: Weaver (alpha)': 'openrouter', 'Anthropic: Claude Instant v1.0': 'openrouter', 'Anthropic: Claude v1.2': 'openrouter', 'Anthropic: Claude v1': 'openrouter', 'Anthropic: Claude Instant v1': 'openrouter', 'Anthropic: Claude Instant v1 (self-moderated)': 'openrouter', 'Anthropic: Claude v2.0': 'openrouter', 'Anthropic: Claude v2.0 (self-moderated)': 'openrouter', 'ReMM SLERP 13B': 'openrouter', 'ReMM SLERP 13B (extended)': 'openrouter', 'Google: PaLM 2 Code Chat': 'openrouter', 'Google: PaLM 2 Chat': 'openrouter', 'MythoMax 13B': 'openrouter', 'MythoMax 13B (nitro)': 'openrouter', 'MythoMax 13B (extended)': 'openrouter', 'Meta: Llama v2 13B Chat': 'openrouter', 'OpenAI: GPT-4 (older v0314)': 'openrouter', 'OpenAI: GPT-4': 'openrouter', 'OpenAI: GPT-3.5 Turbo (older v0301)': 'openrouter', 'OpenAI: GPT-3.5 Turbo': 'openrouter'}
